package read;

import java.io.File;
import java.util.Calendar;
import java.util.Date;

import java.util.Calendar;
import java.util.Date;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import com.delfines.business.GosocketBo;
import com.delfines.business.Util;

import vo.DateUtil;

public class LoadGosocket {

	private String pathMicrosFrom="\\\\10.0.0.127\\c$\\Program Files (x86)\\Signature\\xDoc PE 2.1\\Stores\\areas\\2DISPATCH-DOC\\toprint\\";
	private String pathOperaFrom="\\\\10.0.0.127\\c$\\Program Files (x86)\\Signature\\xDoc PE 2.1\\Stores\\areas\\PD21-DLFOPERA\\bkp\\_xml-firmado\\";//2021\\02\\09\\
	
	public static void main(String[] args) {
		try{
			GosocketBo go=new GosocketBo();
			/** YESTERDAY*//**/
			String year=go.getYEARd1();
			String month=go.getMONTHd1();
			String day=go.getDAYd1();
			
			
			/** TODAY*//**
			String year=go.getYEAR();
			String month=go.getMONTH();
			String day=go.getDAY();
			*/
			System.out.println("date "+year+"-"+month+"-"+day);
			go.deleteInvoice(year+"-"+month+"-"+day);
			
			LoadGosocket load=new LoadGosocket();
			
			File folderMicros = new File(load.pathMicrosFrom);
			System.out.println("load xml from "+folderMicros.getAbsolutePath());
			int cant=load.listFilesForFolder(folderMicros);
			
			System.out.println("Done! "+cant);
		}catch(Exception e){
			e.printStackTrace();
		}
	}

	public int listFilesForFolder(File folder) {
		int cant=0;
		try{
		    for (final File fileEntry : folder.listFiles()) {
		        if (!fileEntry.isDirectory()) {
		        	int diff = DateUtil.diferenciasDeFechas(Calendar.getInstance().getTime(),(new Date(fileEntry.lastModified())));
		        	if(diff==-1){/** YESTERDAY*//**/
		        		
		        		String nroComprobante="";
		        		String fechaComprobante="";
		        		String tipoComprobante="";
		        		String tipoMoneda="";
		        		String montoPagar="";
		        		
		        		File xmlFile = new File(fileEntry.getAbsolutePath());
		        		 
		                DocumentBuilderFactory documentBuilderFactory = DocumentBuilderFactory.newInstance();
		     
		                DocumentBuilder documentBuilder = documentBuilderFactory.newDocumentBuilder();
		     
		                Document doc = documentBuilder.parse(xmlFile);
		     
		                doc.getDocumentElement().normalize();
		     
		                Node invoice = doc.getElementsByTagName("Invoice").item(0);
		                
		                NodeList nodesinvoice = invoice.getChildNodes();
		                if (nodesinvoice != null) {
		                	for(int j=0;j<nodesinvoice.getLength();j++){
		                		Node childTaxTotal = nodesinvoice.item(j);
		                		if(childTaxTotal.getNodeName().equals("cbc:ID")){
		                			 nroComprobante=childTaxTotal.getTextContent();
		                		}
		                		if(childTaxTotal.getNodeName().equals("cbc:IssueDate")){
		                			 fechaComprobante=childTaxTotal.getTextContent();
		                		}
		                		if(childTaxTotal.getNodeName().equals("cbc:InvoiceTypeCode")){
		                			 tipoComprobante=childTaxTotal.getTextContent();
		                		}
		                		if(childTaxTotal.getNodeName().equals("cbc:DocumentCurrencyCode")){
		                			 tipoMoneda=childTaxTotal.getTextContent();
		                		}
		                		if(childTaxTotal.getNodeName().equals("cac:LegalMonetaryTotal")){
		                			NodeList nodesLegal = childTaxTotal.getChildNodes();
		        	                if (nodesLegal != null) {
		        	                	for(int l=0;l<nodesLegal.getLength();l++){
		        	                		Node childLegal = nodesLegal.item(l);
		        	                		if(childLegal.getNodeName().equals("cbc:PayableAmount")){
		        	                			 montoPagar=childLegal.getTextContent();
		        	                		}
		        	                	}
		        	                }
		                		}
		                	}
		                }
		                
		                GosocketBo go=new GosocketBo();
		                go.insertarInvoice(fileEntry.getName(),nroComprobante, fechaComprobante, tipoComprobante, tipoMoneda, montoPagar);
		                cant++;
		        	}
		        }
		    }
		}catch(Exception e){
			e.printStackTrace();
		}
		
		return cant;
	}
	
}
