$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$("#txtPassword1").focus();
	$("#txtPassword1").select();
	
	$( "#txtPassword1" ).keypress(function( event ) {
		  if ( event.which == 13 ) {
			 save();
		  }
	});
	
	$( "#txtPassword2" ).keypress(function( event ) {
		  if ( event.which == 13 ) {
			 save();
		  }
	});
	
    $("#cmdGuardarChange").click(function(){
    	save();
    });
    
    function save(){
    	var hIdUsuario = $("#hIdUsuario").val();
		var txtPassword1 = $("#txtPassword1").val().trim();
		var txtPassword2 = $("#txtPassword2").val().trim();
		
		if(valida()){
			$.ajax({
				url : baseURL + "/guardar-change",
				data : {
					idUsuario: hIdUsuario,
					password1:txtPassword1,
					password2:txtPassword2
				},
				async:false,
				type : "get",
				success : function(target) {
					alert("Se ha cambiado las credenciales de acceso");
					window.location.replace(baseURL+"/"+target);
				},
				error: function (e){
					alert("Error en el cambio de credenciales de acceso!");
					cancelBubble(event);
				}
			});
		}else{
			cancelBubble(event);
		}
    }
    
    function valida(){
    	var txtPassword1 = $("#txtPassword1").val().trim();
		var txtPassword2 = $("#txtPassword2").val().trim();
		
		if(isEmpty(txtPassword1)){
			alert("Ingrese una credencial valida");
			$("#txtPassword1").focus();
  			$("#txtPassword1").select();
			return false;
		}
			
		if(txtPassword1!=txtPassword2){
			alert("Las credenciales no coinciden, porfavor vuelva a intentarlo");
			$("#txtPassword1").focus();
  			$("#txtPassword1").select();
			return false;
		}
		return true;
    }
    
    function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
    

    $("#cmdCloseChange").click(function(){
    	$.ajax({
			url : baseURL + "/salir-change",
			async:false,
			type : "get",
			success : function(target) {
				window.location.replace(baseURL+"/");
			}
		});
    });

    function cancelBubble(e) {
		 var evt = e ? e:window.event;
		 if (evt.stopPropagation)    evt.stopPropagation();
		 if (evt.cancelBubble!=null) evt.cancelBubble = true;
	}
	
});
