package com.delfines.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;

import javax.naming.InitialContext;

import org.apache.tomcat.jdbc.pool.DataSource;
import org.apache.tomcat.jdbc.pool.PoolProperties;

public final class ConnectionFactory {
	/**desarrollo**/
	public static final String URL = "jdbc:sqlserver://10.0.0.190:1433;databaseName=db_signature;user=sa;password=20136957253";
	
	private static ConnectionFactory instance;
    private static DataSource dataSource = null;
    private Connection connection;

    private ConnectionFactory() {
        this.connect();
    }
	
	public static ConnectionFactory getInstance() {
        if (ConnectionFactory.instance == null) {
        	ConnectionFactory.instance = new ConnectionFactory();
        }
        return ConnectionFactory.instance;
    }
	
	private void connect() {
        Connection connection = null;
        if (this.dataSource == null) {
            try {
            	
                //InitialContext initialContext = new InitialContext();
                //dataSource = (DataSource)initialContext.lookup(
                //Constant.DEPLOYED ? Constant.PROD_JNDINAME : Constant.TEST_JNDINAME);
              System.out.println("create data source :: "+ZonedDateTime.now().format(DateTimeFormatter.RFC_1123_DATE_TIME));
              PoolProperties p = new PoolProperties();
  	          p.setUrl(URL);
  	          p.setDriverClassName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
  	          p.setJmxEnabled(true);
  	          p.setTestWhileIdle(false);
  	          p.setTestOnBorrow(true);
  	          p.setValidationQuery("SELECT 1");
  	          p.setTestOnReturn(false);
  	          p.setValidationInterval(30000);
  	          p.setTimeBetweenEvictionRunsMillis(30000);
  	          p.setMaxActive(100);
  	          p.setInitialSize(20);
  	          p.setMaxWait(10000);
  	          p.setRemoveAbandonedTimeout(60);
  	          p.setMinEvictableIdleTimeMillis(30000);
  	          p.setMinIdle(10);
  	          p.setLogAbandoned(false);
  	          p.setRemoveAbandoned(true);
  	          p.setJdbcInterceptors(
  	            "org.apache.tomcat.jdbc.pool.interceptor.ConnectionState;"+
  	            "org.apache.tomcat.jdbc.pool.interceptor.StatementFinalizer");
  	          this.dataSource = new org.apache.tomcat.jdbc.pool.DataSource();
  	          this.dataSource.setPoolProperties(p);
  	          
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        try {
        	System.out.println("get connection :: "+ZonedDateTime.now().format(DateTimeFormatter.RFC_1123_DATE_TIME));
            connection = this.dataSource.getConnection();
        } catch (SQLException e) {
            e.printStackTrace();
        }
        this.connection = connection;
    }
	
	public Connection getConnection() {
		try {
			if(this.connection==null||this.connection.isClosed()){
				System.out.println("get connection :: "+ZonedDateTime.now().format(DateTimeFormatter.RFC_1123_DATE_TIME));
				this.connection = this.dataSource.getConnection();
			}
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return this.connection;
    }
    /**
     * Test Connection
     */
    public static void main(String[] args) {
    	
    	try{
	    	System.out.println("conecct...");
	        Connection connection = ConnectionFactory.getInstance().getConnection();
	        String SQL = "select * from area";  
	        Statement stmt = connection.createStatement();  
	        ResultSet rs = stmt.executeQuery(SQL);
	        while (rs.next()) {  
	            System.out.println(rs.getString(1) + " " + rs.getString(2));  
	         }  
    	}catch(Exception e){
    		e.printStackTrace();
    	}
        
    }
}
